Subject: Re: [PATCH net-next] net: phy: Cleanup struct mdio_driver_common

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 3 Jan 2024 10:51:15 +0000

On Wed, Jan 03, 2024 at 10:03:14AM +0800, Yajun Deng wrote:
> 
> On 2024/1/3 01:34, Russell King (Oracle) wrote:
> > I'm not sure why this consistency is even desired, the commit message
> > doesn't properly say _why_ this change is being proposed.
> 
> Most drivers use device_driver directly. This should be added to the commit.
> 
> Like this:
> 
> struct sdio_driver {
> 
> ... ...
> 
>         struct device_driver drv;
> };
> 
> 
> struct pcie_port_service_driver {
> 
> ... ...
> 
>         struct device_driver driver;
> };
> 
> and so on ...

... which is fine for those other drivers because they don't share the
same bus. That is not the case here - we have two different classes
of drivers on the same bus.

I don't like a justification that just because other subsystems do
something in one particular way, that is the only way things should be
done. I think there is good reason to have the structure we have, and
thus there needs to be a good reason to change it.

Maybe Andrew has a different opinion, but I think we need a better
justification for this change.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!